=== util/test/Makefile ===
--- 
+++ 
@@ -26,6 +26,10 @@
 HDFCOPYTEST_SRC = hdf_copy_test.c
 HDFCOPYTEST_OBJ = $(HDFCOPYTEST_SRC:%.c=%.o)
 
+HDFDEALLOCTEST_EXE = hdf_dealloc_test
+HDFDEALLOCTEST_SRC = hdf_dealloc_test.c
+HDFDEALLOCTEST_OBJ = $(HDFDEALLOCTEST_SRC:%.c=%.o)
+
 NETTEST_EXE = net_test
 NETTEST_SRC = net_test.c
 NETTEST_OBJ = $(NETTEST_SRC:%.c=%.o)
@@ -38,21 +42,31 @@
 HASHTEST_SRC = hash_test.c
 HASHTEST_OBJ = $(HASHTEST_SRC:%.c=%.o)
 
+ULISTTEST_EXE = ulist_test
+ULISTTEST_SRC = ulist_test.c
+ULISTTEST_OBJ = $(ULISTTEST_SRC:%.c=%.o)
+
 CFLAGS += -I$(NEOTONIC_ROOT)/util
 LIBS += -L$(LIB_DIR) -lneo_utl 
 
 TARGETS = $(HDFTEST_EXE) $(LISTDIRTEST_EXE) $(HDFCOPYTEST_EXE) \
-	$(HDFSORTTEST_EXE) \
+	$(HDFSORTTEST_EXE) $(HDFDEALLOCTEST_EXE) \
 	$(HDFLOADTEST_EXE) $(NETTEST_EXE) $(DATETEST_EXE) \
-	$(HASHTEST_EXE)
+	$(HASHTEST_EXE) $(ULISTTEST_EXE)
 
 all: $(TARGETS)
+
+$(ULISTTEST_EXE): $(ULISTTEST_OBJ) $(NTR_LIB)
+	$(LD) $@ $(ULISTTEST_OBJ) $(LIBS)
 
 $(HDFTEST_EXE): $(HDFTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFTEST_OBJ) $(LIBS)
 
 $(HDFSORTTEST_EXE): $(HDFSORTTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFSORTTEST_OBJ) $(LIBS)
+
+$(HDFDEALLOCTEST_EXE): $(HDFDEALLOCTEST_OBJ) $(NTR_LIB)
+	$(LD) $@ $(HDFDEALLOCTEST_OBJ) $(LIBS)
 
 $(HDFLOADTEST_EXE): $(HDFLOADTEST_OBJ) $(NTR_LIB)
 	$(LD) $@ $(HDFLOADTEST_OBJ) $(LIBS) # -lefence
