## clearsilver 0.10.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #
 
-NEOTONIC_ROOT = ./
+NEOTONIC_ROOT = .
 
 include rules.mk
 
@@ -35,7 +35,7 @@
 	  fi; \
 	done
 
-install: all man
+install: all
 	./mkinstalldirs $(DESTDIR)$(cs_includedir)
 	./mkinstalldirs $(DESTDIR)$(bindir)
 	./mkinstalldirs $(DESTDIR)$(libdir)
@@ -86,7 +86,8 @@
 	done
 
 changelog:
-	rcs2log -v | cat - ChangeLog | sed -e "s/\/b2\/src\/cvsroot\/neotonic\///g" > ChangeLog.$$$$ && mv ChangeLog.$$$$ ChangeLog
+	p4 changes -l ./...
+	
 
 clean:
 	@for mdir in $(SUBDIRS); do \
@@ -107,23 +108,23 @@
 		mkdir -p $$mdir; \
 	done
 
-CS_DISTDIR = clearsilver-0.9.12
-CS_LABEL = CLEARSILVER-0_9_12
-CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h ports contrib
+CS_DISTDIR = clearsilver-0.10.3
+CS_LABEL = CLEARSILVER-0_10_3
+CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h
+CS_DIRS = util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp ports contrib m4
+
 cs_dist:
-	@if cvs log Makefile | grep "${CS_LABEL}"; then \
+	@if p4 labels Makefile | grep "${CS_LABEL}"; then \
 	  echo "release ${CS_LABEL} already exists"; \
-	  echo "   to rebuild, type:  cvs tag -d -F ${CS_LABEL} Makefile "; \
+	  echo "   to rebuild, type:  p4 label -d ${CS_LABEL}"; \
 	  exit 1; \
 	fi; 
 	rm -rf $(CS_DISTDIR)
-	cvs -q tag -F $(CS_LABEL) $(CS_FILES)
+	p4 label $(CS_LABEL)
+	p4 labelsync -l$(CS_LABEL) $(CS_FILES) $(addsuffix /..., $(CS_DIRS))
 	mkdir -p $(CS_DISTDIR)
-	cvs -z3 -q export -r $(CS_LABEL) -d $(CS_DISTDIR) neotonic
-	-rm -rf $(CS_DISTDIR)/CVS
+	tar -cf - `p4 files $(CS_FILES) $(addsuffix /..., $(CS_DIRS)) | cut -d'#' -f 1 | sed -e "s|//depot/google3/third_party/clearsilver/core/||"` | (cd $(CS_DISTDIR); tar -xf -)
 	$(MAKE) -C $(CS_DISTDIR) man distclean
+	chmod -R u+w $(CS_DISTDIR)
+	chmod -R a+r $(CS_DISTDIR)
 	tar chozf $(CS_DISTDIR).tar.gz $(CS_DISTDIR)
-
-trakken: cs
-	$(MAKE) -C retrieve
-	$(MAKE) VERSION=$(VERSION) RELEASE=$(RELEASE) -C trakken
