=== cs/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 CS_LIB = $(LIB_DIR)libneo_cs.a
 CS_SRC = csparse.c
@@ -22,17 +22,18 @@
 CSDUMP_SRC = csdump.c
 CSDUMP_OBJ = $(CSDUMP_SRC:%.c=%.o)
 
-CFLAGS += -I$(NEOTONIC_ROOT)
-LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl # -lefence
+LIBS += -L$(LIB_DIR) -lneo_cs -lneo_utl #  -lefence
 
 TARGETS = $(CS_LIB) $(CSTEST_EXE) $(CSR_EXE) test
 
 CS_TESTS = test.cs test2.cs test3.cs test4.cs test5.cs test6.cs test7.cs \
            test8.cs test9.cs test10.cs test11.cs test12.cs test13.cs \
-	   test14.cs test15.cs test16.cs test17.cs test18.cs test_var.cs \
-	   test_paren.cs test_chuck.cs test_trak1.cs test_iter.cs \
+	   test14.cs test15.cs test16.cs test17.cs test18.cs test19.cs \
+	   test_var.cs test_paren.cs test_chuck.cs test_trak1.cs test_iter.cs \
 	   test_each_array.cs test_name.cs test_with.cs test_numbers.cs \
-	   test_splice.cs
+	   test_splice.cs test_joo.cs test_first_last.cs test_abs_max_min.cs \
+	   test_comma.cs test_macro_set.cs test_func.cs
+
 
 all: $(TARGETS)
 
@@ -64,7 +65,7 @@
 	for test in $(CS_TESTS); do \
 		rm -f $$test.out; \
 		./cstest test.hdf $$test > $$test.out 2>&1; \
-		diff --brief $$test.out $$test.gold 2>&1 > /dev/null; \
+		diff $$test.out $$test.gold 2>&1 > /dev/null; \
 		return_code=$$?; \
 		if [ $$return_code -ne 0 ]; then \
 		  diff $$test.gold $$test.out > $$test.err; \
@@ -75,7 +76,7 @@
 	done; \
 	rm -f test_tag.cs.out; \
 	./cstest test_tag.hdf test_tag.cs> test_tag.cs.out 2>&1; \
-	diff --brief test_tag.cs.out test_tag.cs.gold; \
+	diff test_tag.cs.out test_tag.cs.gold; \
 	return_code=$$?; \
 	if [ $$return_code -ne 0 ]; then \
 	  echo "Failed Regression Test: test_tag.cs"; \
@@ -88,7 +89,7 @@
 	@echo "Passed"
 	
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(cs_includedir)/cs
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(cs_includedir)/cs
 	$(INSTALL) -m 644 cs.h $(DESTDIR)$(cs_includedir)/cs
 	$(INSTALL) -m 644 $(CS_LIB) $(DESTDIR)$(libdir)
 	$(INSTALL) $(CSTEST_EXE) $(DESTDIR)$(bindir)
