=== mod_ecs/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 
 
 ifeq ($(NEOTONIC_ROOT),)
-NEOTONIC_ROOT = ../
+NEOTONIC_ROOT = ..
 endif
 
-include $(NEOTONIC_ROOT)rules.mk
+include $(NEOTONIC_ROOT)/rules.mk
 
 MOD_ECS_SRC = mod_ecs.c
 MOD_ECS_SO = mod_ecs.so
@@ -20,7 +20,7 @@
 	$(APXS) -c -o $@ $(MOD_ECS_SRC)
 
 install: all
-	$(NEOTONIC_ROOT)mkinstalldirs $(DESTDIR)$(libexecdir)
+	$(NEOTONIC_ROOT)/mkinstalldirs $(DESTDIR)$(libexecdir)
 	$(INSTALL) $(MOD_ECS_SO) $(DESTDIR)$(libexecdir)
 
 # Hmm, install it in the default apache place, or in with the
