## clearsilver 0.10.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	@for mdir in $(SUBDIRS); do \
 	  if test -d $$mdir; then \
 	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
-	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
+	      cd $$mdir; $(PERL) Makefile.PL PREFIX=$(prefix); cd ..; \
 	    fi; \
 	    $(MAKE) -C $$mdir PREFIX=$(prefix); \
 	  fi; \
@@ -46,7 +46,7 @@
 	@for mdir in $(SUBDIRS); do \
 	  if test -d $$mdir; then \
 	    if test -f $$mdir/Makefile.PL -a ! -f $$mdir/Makefile; then \
-	      cd $$mdir; $(PERL) Makefile.PL; cd ..; \
+	      cd $$mdir; $(PERL) Makefile.PL PREFIX=$(prefix); cd ..; \
 	    fi; \
 	    $(MAKE) -C $$mdir PREFIX=$(prefix) install; \
 	  fi; \
@@ -90,15 +90,15 @@
 	
 
 clean:
-	@for mdir in $(SUBDIRS); do \
+	-@for mdir in $(SUBDIRS); do \
 	  $(MAKE) -C $$mdir clean; \
 	done
 
 distclean:
-	@for mdir in $(SUBDIRS); do \
+	-@for mdir in $(SUBDIRS); do \
 	  $(MAKE) -C $$mdir distclean; \
 	done
-	@for mdir in $(OUTDIRS); do \
+	-@for mdir in $(OUTDIRS); do \
 		rm -rf $$mdir/*; \
 	done
 	rm -f config.cache config.log config.status rules.mk cs_config.h
@@ -108,8 +108,8 @@
 		mkdir -p $$mdir; \
 	done
 
-CS_DISTDIR = clearsilver-0.10.3
-CS_LABEL = CLEARSILVER-0_10_3
+CS_DISTDIR = clearsilver-0.10.4
+CS_LABEL = CLEARSILVER-0_10_4
 CS_FILES = README README.python INSTALL LICENSE CS_LICENSE rules.mk.in Makefile acconfig.h autogen.sh config.guess config.sub configure.in cs_config.h.in mkinstalldirs install-sh ClearSilver.h
 CS_DIRS = util cs cgi python scripts mod_ecs imd java-jni perl ruby dso csharp ports contrib m4
