=== mod_ecs/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 MOD_ECS_SO = mod_ecs.so
 
 DLIBS += -lneo_cgi -lneo_cs -lneo_utl 
-LIBS += -L$(LIB_DIR) $(DLIBS) $(DB2_LIB)
+LIBS += $(DLIBS) $(DB2_LIB)
 
 TARGETS = $(MOD_ECS_SO)
