=== debian/control ===
Source: clearsilver
Section: devel
Priority: optional
Build-Depends:
 debhelper (>= 10),
 zlib1g-dev,
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.0
Homepage: http://www.clearsilver.net/

Package: clearsilver-dev
Architecture: any
Section: libdevel
Depends:
 libc6-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libcgi-dev,
Description: headers and static library for clearsilver
 Clearsilver is a fast, powerful, and language-neutral HTML template system.
 In both static content sites and dynamic HTML applications, it
 provides a separation between presentation code and application logic which
 makes working with your project easier.
 .
 This package contains the C headers, the static library and the cstest binary
 for deverlopers.

Package: libclearsilver-perl
Architecture: any
Section: perl
Depends:
 perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: Perl bindings for clearsilver
 Clearsilver is a fast, powerful, and language-neutral HTML template system.
 In both static content sites and dynamic HTML applications, it
 provides a separation between presentation code and application logic which
 makes working with your project easier.
 .
 This package contains the perl package ClearSilver.
