=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-python \
		--with-perl=/usr/bin/perl \
		--disable-ruby \
		--disable-csharp \
		--disable-apache \
		--enable-gettext

override_dh_auto_clean:
	if [ -f rules.mk ];then $(MAKE) distclean;fi
